# Class HLineTo

java.lang.Object
javafx.scene.shape.PathElement
javafx.scene.shape.HLineTo

public class HLineTo extends PathElement
Creates a horizontal line path element from the current point to x.

For more information on path elements see the `Path` and `PathElement` classes.

Example:

    import javafx.scene.shape.*;

    Path path = new Path();
    path.getElements().add(new MoveTo(0.0f, 0.0f));
    path.getElements().add(new HLineTo(80.0f));

Since:
  JavaFX 2.0

- ## Property Summary

  Properties
  Type
  Property
  Description
  `final DoubleProperty`
  `x`
  Defines the X coordinate.

  ### Properties declared in class PathElement

  `absolute`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HLineTo()`
  Creates an empty instance of HLineTo.
  `HLineTo(double x)`
  Creates an instance of HLineTo.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final double`
  `getX()`
  Gets the value of the `x` property.
  `final void`
  `setX(double value)`
  Sets the value of the `x` property.
  `String`
  `toString()`
  Returns a string representation of this `HLineTo` object.
  `final DoubleProperty`
  `xProperty()`
  Defines the X coordinate.

  ### Methods declared in class PathElement

  `absoluteProperty, isAbsolute, setAbsolute`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Property Details

  - ### x

    public final DoubleProperty xProperty
    Defines the X coordinate.
    Default value:
      0.0
    See Also:
      - `getX()`
      - `setX(double)`
      - `xProperty()`

- ## Constructor Details

  - ### HLineTo

    public HLineTo()
    Creates an empty instance of HLineTo.

  - ### HLineTo

    public HLineTo(double x)
    Creates an instance of HLineTo.
    Parameters:
      `x` - the horizontal coordinate to line to

- ## Method Details

  - ### setX

    public final void setX(double value)
    Sets the value of the `x` property.
    Property description:
      Defines the X coordinate.
    Default value:
      0.0
    Parameters:
      `value` - the value for the `x` property
    See Also:
      - `getX()`
      - `xProperty()`

  - ### getX

    public final double getX()
    Gets the value of the `x` property.
    Property description:
      Defines the X coordinate.
    Default value:
      0.0
    Returns:
      the value of the `x` property
    See Also:
      - `setX(double)`
      - `xProperty()`

  - ### xProperty

    public final DoubleProperty xProperty()
    Defines the X coordinate.
    Default value:
      0.0
    Returns:
      the `x` property
    See Also:
      - `getX()`
      - `setX(double)`

  - ### toString

    public String toString()
    Returns a string representation of this `HLineTo` object.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of this `HLineTo` object.